require 'spec_helper'

describe Medlink::Email do

  describe ":create" do

  	context "valid token" do

  		let(:profession) 		{ Medlink::Profession.new(name: "Interne") }
  		let(:user) 					{ Medlink::User.new(id: 1, first_name: "Julien", last_name: "Vilbert", profession: profession) }
  		let(:email) 				{ Medlink::Email.new(user: user, source: "rspec", value: "test@domain.fr") }

	    before(:each) do
	      VCR.use_cassette "emails" do
	      	@created_email = email.create
	      end
	    end

	    it { expect(@created_email.value).to eq("test@domain.fr") }
  	end

  end

end